package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class ConfermaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static Conferma getConfermaSample1() {
        return new Conferma().id(1L).motivoConferma("motivoConferma1");
    }

    public static Conferma getConfermaSample2() {
        return new Conferma().id(2L).motivoConferma("motivoConferma2");
    }

    public static Conferma getConfermaRandomSampleGenerator() {
        return new Conferma().id(longCount.incrementAndGet()).motivoConferma(UUID.randomUUID().toString());
    }
}
